linux-lts-backport-oneiric: 3.0.0-32.51~lucid1 -proposed tracker

Bug #1158541 reported by Brad Figg on 2013-03-21
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Steve Conklin
Prepare-package-meta
Medium
Canonical Kernel Team
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux-lts-backport-oneiric (Ubuntu)
Medium
Unassigned
Lucid
Medium
Unassigned

Bug Description

This bug is for tracking the 3.0.0-32.51~lucid1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Thursday, 21. March 2013 22:07 UTC
kernel-stable-master-bug:1158340
kernel-stable-Certification-testing-end:Thursday, 21. March 2013 23:05 UTC
kernel-stable-Prepare-package-end:Friday, 22. March 2013 20:04 UTC
kernel-stable-Promote-to-proposed-start:Friday, 22. March 2013 20:04 UTC
kernel-stable-Promote-to-proposed-end:Saturday, 23. March 2013 20:04 UTC
kernel-stable-Verification-testing-start:Saturday, 23. March 2013 21:04 UTC
kernel-stable-Security-signoff-start:Friday, 29. March 2013 13:50 UTC
kernel-stable-Verification-testing-end:Friday, 29. March 2013 13:50 UTC
kernel-stable-Regression-testing-start:Friday, 29. March 2013 13:50 UTC
kernel-stable-Security-signoff-end:Monday, 01. April 2013 21:02 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 02. April 2013 19:00 UTC
kernel-stable-Regression-testing-end:Tuesday, 02. April 2013 19:00 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 03. April 2013 02:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 03. April 2013 03:01 UTC

Brad Figg (brad-figg) on 2013-03-21
tags: added: kernel-release-tracking-bug
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lts-backport-oneiric (Ubuntu):
importance: Undecided → Medium
Changed in linux-lts-backport-oneiric (Ubuntu Lucid):
importance: Undecided → Medium
Brad Figg (brad-figg) on 2013-03-21
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed.

Brad Figg (brad-figg) on 2013-03-23
description: updated
Brad Figg (brad-figg) on 2013-03-23
description: updated
Brad Figg (brad-figg) on 2013-03-29
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-04-01
description: updated
Para Siva (psivaa) wrote :
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-04-02
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (7.9 KiB)

This bug was fixed in the package linux-lts-backport-oneiric - 3.0.0-32.51~lucid1

---------------
linux-lts-backport-oneiric (3.0.0-32.51~lucid1) lucid-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1158541

  [ Upstream Kernel Changes ]

  * printk: fix buffer overflow when calling log_prefix function from
    call_console_drivers
    - LP: #1145196
  * 3.0.66
    - LP: #1145196
  * x86-32, mm: Remove reference to resume_map_numa_kva()
    - LP: #1145196
  * mm: fix pageblock bitmap allocation
    - LP: #1145196
  * timeconst.pl: Eliminate Perl warning
    - LP: #1145196
  * genirq: Avoid deadlock in spurious handling
    - LP: #1145196
  * posix-cpu-timers: Fix nanosleep task_struct leak
    - LP: #1145196
  * hrtimer: Prevent hrtimer_enqueue_reprogram race
    - LP: #1145196
  * ALSA: ali5451: remove irq enabling in pointer callback
    - LP: #1145196
  * ALSA: rme32.c irq enabling after spin_lock_irq
    - LP: #1145196
  * tty: set_termios/set_termiox should not return -EINTR
    - LP: #1145196
  * xen: Send spinlock IPI to all waiters
    - LP: #1011792, #1145196
  * Driver core: treat unregistered bus_types as having no devices
    - LP: #1145196
  * mm: mmu_notifier: have mmu_notifiers use a global SRCU so they may
    safely schedule
    - LP: #1145196
  * mm: mmu_notifier: make the mmu_notifier srcu static
    - LP: #1145196
  * mmu_notifier_unregister NULL Pointer deref and multiple ->release()
    callouts
    - LP: #1145196
  * KVM: s390: Handle hosts not supporting s390-virtio.
    - LP: #1145196
  * s390/kvm: Fix store status for ACRS/FPRS
    - LP: #1145196
  * inotify: remove broken mask checks causing unmount to be EINVAL
    - LP: #1145196
  * ocfs2: unlock super lock if lockres refresh failed
    - LP: #1145196
  * drivers/video/backlight/adp88?0_bl.c: fix resume
    - LP: #1145196
  * tmpfs: fix use-after-free of mempolicy object
    - LP: #1145196
  * mm/fadvise.c: drain all pagevecs if POSIX_FADV_DONTNEED fails to
    discard all pages
    - LP: #1145196
  * NLM: Ensure that we resend all pending blocking locks after a reclaim
    - LP: #1145196
  * p54usb: corrected USB ID for T-Com Sinus 154 data II
    - LP: #1145196
  * ALSA: usb-audio: fix Roland A-PRO support
    - LP: #1145196
  * ALSA: usb: Fix Processing Unit Descriptor parsers
    - LP: #1145196
  * ext4: Free resources in some error path in ext4_fill_super
    - LP: #1145196
  * ext4: add missing kfree() on error return path in add_new_gdb()
    - LP: #1145196
  * sunvdc: Fix off-by-one in generic_request().
    - LP: #1145196
  * drm/usb: bind driver to correct device
    - LP: #1145196
  * drm/i915: disable shared panel fitter for pipe
    - LP: #1145196
  * staging: comedi: disallow COMEDI_DEVCONFIG on non-board minors
    - LP: #1145196
  * staging: vt6656: Fix URB submitted while active warning.
    - LP: #1145196
  * ARM: PXA3xx: program the CSMSADRCFG register
    - LP: #1145196
  * powerpc/kexec: Disable hard IRQ before kexec
    - LP: #1145196
  * Purge existing TLB entries in set_pte_at and ptep_set_wrprotect
    - LP: #1145196
  * pcmcia/vrc4171: Add missing spinlock init
    - LP: #1145196
  * fbcon: don't lose the c...

Read more...

Changed in linux-lts-backport-oneiric (Ubuntu Lucid):
status: New → Fix Released
Adam Conrad (adconrad) on 2013-04-03
Changed in linux-lts-backport-oneiric (Ubuntu):
status: New → Invalid
Brad Figg (brad-figg) on 2013-04-03
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers